* === Konfidentintervall fr den Korrelationskoeffizienten einer Stichprobe .

* --- Datentabelle: 1 Zeile = 1 Stichprobe (Berechnung fr jede Zeile separat) .
* --- Variable r: Korrelationskoeffizient (Pearson) .
* --- Variable n: Stichprobenumfang (in jeder Zeile >3).

* --- Programmtext: setze #niveau auf Konfidenzniveau .

compute #niveau=0.95 .
compute #alpha=1-#niveau .
compute #z=.5*ln((1+r)/(1-r)) .
compute #z1=#z+idf.t(#alpha/2,n-2)/sqrt(n-3) .
compute #z2=#z+idf.t(1-#alpha/2,n-2)/sqrt(n-3) .
compute lcl_r=(exp(#z1)-exp(-#z1))/(exp(#z1)+exp(-#z1)) .
compute ucl_r=(exp(#z2)-exp(-#z2))/(exp(#z2)+exp(-#z2)) .
if (lcl_r*ucl_r<0) lcl_r2=0 .
if (lcl_r*ucl_r>=0) lcl_r2=min(lcl_r**2,ucl_r**2) .
compute ucl_r2=max(lcl_r**2,ucl_r**2) .
execute .
formats r lcl_r ucl_r lcl_r2 ucl_r2 (f8.3) n (f8) .

* --- Ergebnisse: .
* --- lcl_r / ucl_r: untere / obere Konfidenzgrenze fr r zum Konfidenzniveau #niveau .
* --- lcl_r2 / ucl_r2: untere / obere Konfidenzgrenze fr Bestimmtheitsma .
* --- Literatur: L. Sachs, Angew. Stat., 4. Aufl. , S. 541 .
